unit CheckGDI;

interface

uses
  Windows, SysUtils, Classes;

type

  EGDI = class(Exception);

procedure DisplaySysError;
function GDICheck(Value: Cardinal): Cardinal;

implementation

uses
  EQ_Abort;

procedure DisplaySysError;
var
  ErrorCode : Integer;
  Buf       : array [Byte] of Char;
begin
  ErrorCode := GetLastError;
  if (ErrorCode <> 0) and
     (FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM, nil, ErrorCode,
		    LOCALE_USER_DEFAULT, Buf, sizeof(Buf), nil) <> 0) then
    raise EGDI.Create(Buf)
  else
    raise EGDI.Create('Out of resources');
end;

function GDICheck(Value: Cardinal): Cardinal;
begin
  if Value = 0 then DisplaySysError
  else Result := Value;
  if UseAbortProc then AbortProc;
end;

end. { END UNIT }

The information provided above is provided "AS IS" without warranty of any kind.
Lucian Radulescu disclaims all warranties, either express or implied, including
the warranties of merchantability and fitness for a particular purpose.

In no event shall Lucian Radulescu or his suppliers be liable for any damages
whatsoever including direct, indirect, incidental, consequential, loss of business
profits or special damages, even if Lucian Radulescu or his suppliers have been
advised of the possibility of such damages.

Some states do not allow the exclusion or limitation of liability for consequential
or incidental damages so the foregoing limitation may not apply.


