unit DemoLeg;

interface

uses
  Windows, PCharLIB, EZ_Print;

const
  MinPageLegal = 1;
  MaxPageLegal = 5;

procedure PrintDeed(JP: TEZ_Printer);
procedure PrintMortgage(JP: TEZ_Printer);
procedure PrintDischarge(JP: TEZ_Printer);
procedure PrintDocGen(JP: TEZ_Printer);
procedure PrintSchedule(JP: TEZ_Printer);

implementation

uses
  PrintPro, CustomPP;

procedure PrintDeed(JP: TEZ_Printer);
begin
  with JP, TCustomProcs(Procs) do
  begin
    //SpoolIdStr(29999, 13600, 0, 210, 0, 0, '', [], tajLeftJustify);
    SpoolText(19500, 0, 700, 0, 0, 'Z', '', [fsBold], tajLeftJustify);

    SpoolText(0,   0, {-17}450, 20100, 0, 'Deed', '', [fsBold], tajCenter);
    SpoolText(0, 560, 190, 20100, 0, 'Form 1  Land Registration Reform Act', '', [fsBold], tajCenter);
    PrintExecutions(900, 9400, True, True, True);
    Print_123(900, True, True, True, 1, nil);
    PrintAmount('(4) Consideration', 3000, 1350, True);
    PrintDescription('(5) Description', 4350, 9400, 5200, nil);
    SpoolText(10500, 4450, 210, 0, 0, 'This is a:', '', [], tajLeftJustify);
    SpoolText(11800, 4450, 210, 0, 0, 'Property', '', [], tajLeftJustify);
    SpoolText(11800, 4720, 210, 0, 0, 'Division', '', [], tajLeftJustify);
    SpoolText(13880, 4450, 210, 0, 0, 'Property', '', [], tajLeftJustify);
    SpoolText(13880, 4720, 210, 0, 0, 'Consolidation', '', [], tajLeftJustify);
    PrintCheckBox(13000, 4580, 350, 25, True);
    PrintCheckBox(15800, 4580, 350, 25, True);

    DocContains(15, 9400, True, True, True, True, True);
    PrintBox7Fees('Interest/Estate Transferred');

    PrintRoundRect(15, 10700, 20100, 15800, 600, 30, True, True, True, True);  {box  8}
    SpoolText(  200, 10800, 210, 0, 0, '(8) Transferor(s)', '', [fsBold], tajLeftJustify);
    SpoolText(  200, 12800, 210, 0, 0, 'Name(s)', '', [], tajLeftJustify);
    SpoolText(10300, 12800, 210, 0, 0, 'Signature(s)', '', [], tajLeftJustify);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 12400, 15600);
    PrintHDottedLine(11660,   200, 19900, 24, 0);
    PrintHDottedLine(12405,   200, 17400, 24, 0);
    PrintHDottedLine(13600,   200, 10000, 24, 0);
    PrintHDottedLine(13600, 10300, 19900, 24, 0);
    PrintHDottedLine(14350,   200, 10000, 24, 0);
    PrintHDottedLine(14350, 10300, 19900, 24, 0);
    PrintHDottedLine(15100,   200, 10000, 24, 0);
    PrintHDottedLine(15100, 10300, 19900, 24, 0);

    PrintRoundRect(15, 15800, 20100, 18800, 600, 30, True, True, True, True);  {box  9, 10}
    SpoolText(200, 15900, 210, 0, 0, '(9)', '', [fsBold], tajLeftJustify);
    SpoolText(SpoolText(700,
      15900, 210, 0, 0, 'Spouse(s) of Transferor(s)', '', [fsBold], tajLeftJustify)+100,
      15900, 210, 0, 0, 'I hereby consent to this transaction', '', [], tajLeftJustify);
    SpoolText(  700, 16200, 210, 0, 0, 'Name(s)', '', [], tajLeftJustify);
    SpoolText(10300, 16200, 210, 0, 0, 'Signature(s)', '', [], tajLeftJustify);
    PrintHDottedLine(17150,   200, 10000, 24, 0);
    PrintHDottedLine(17150, 10300, 19900, 24, 0);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 15900, 17900);
    PrintLine(15, 18000, 20100, 18000, 30);
    SpoolText(200, 18100, 210, 0, 0, '(10)', '', [fsBold], tajLeftJustify);
    SpoolText(800, 18100, 210, 0, 0, 'Transferor(s) Address', '', [fsBold], tajLeftJustify);
    SpoolText(800, 18400, 210, 0, 0, 'for Service', '', [fsBold], tajLeftJustify);

    PrintRoundRect(15, 18800, 20100, 23400, 600, 30, True, True, True, True);  {box 11, 12}
    SpoolText(200, 18900, 210, 0, 0, '(11) Transferee(s)', '', [fsBold], tajLeftJustify);
    YMD_DateAndPrompts('', 'Date of Birth', 17200, 18900, 22500);
    PrintHDottedLine(19960, 200, 19900, 24, 0);
    PrintHDottedLine(20810, 200, 19900, 24, 0);
    PrintHDottedLine(21650, 200, 19900, 24, 0);
    PrintLine(15, 22600, 20100, 22600, 30);
    SpoolText(200, 22700, 210, 0, 0, '(12)', '', [fsBold], tajLeftJustify);
    SpoolText(800, 22700, 210, 0, 0, 'Transferee(s) Address', '', [fsBold], tajLeftJustify);
    SpoolText(800, 23000, 210, 0, 0, 'for Service', '', [fsBold], tajLeftJustify);

    PrintRoundRect(15, 23400, 20100, 30200, 600, 30, True, True, True, False); {box 13, 14}
    SpoolText(480, 23500, 210, 0, 0, '(13)', '', [fsBold], tajLeftJustify);
    SpoolText(1060, 23500, 210, 0, 0, 'Transferor(s)', '', [fsBold], tajLeftJustify);
    SpoolText(2860, 23500, 210, 19800, 0, 'The transferor verifies that to the best of the '+
            'transferor''s knowledge and belief,  this transfer does not '+
            'contravene section 50 of the Planning Act.', '', [], tajFlush);
    YMD_DateAndPrompts('', 'Date of Signature',  7500, 23800, 24900);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 23800, 24900);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 25700, 26710);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 28900, 30000);
    SpoolText(  550, 24700, 210, 0, 0, 'Signature', '', [], tajLeftJustify);
    SpoolText(10300, 24700, 210, 0, 0, 'Signature', '', [], tajLeftJustify);
    SpoolText(  550, 25000, 210, 0, 0, 'Solicitor for Transferor(s)', '', [fsBold], tajLeftJustify);
    PrintResBuffer('DEED1', '', [], 210, 19800,  550, 3400, 25000, -30, 0, 90, 0, 0, TRANSPARENT, False, tajFlush);
    SpoolText(10300, 26450, 210, 0, 0, 'Signature', '', [], tajLeftJustify);
    PrintHDottedLine(24920,  1800,  9700, 24, 0);
    PrintHDottedLine(24920, 11500, 19900, 24, 0);
    PrintHDottedLine(26710, 11500, 19900, 24, 0);
    SpoolText(550, 25950, 210, 0, 0, 'Name and', '', [], tajLeftJustify);
    SpoolText(550, 26200, 210, 0, 0, 'Address of', '', [], tajLeftJustify);
    SpoolText(550, 26450, 210, 0, 0, 'Solicitor', '', [], tajLeftJustify);
    PrintLine( 400, 23400,   400, 30200, 30);
    PrintLine( 400, 26850, 20100, 26850, 30);
    PrintLine(1150, 26850,  1150, 30200, 30);
    PrintBMPs(  80, 24900,   375, 28210, 'B31', OPAQUE);
    PrintBMPs( 465, 27300,  1115, 29660, 'B41', OPAQUE);
    SpoolText(1200, 26900, 210, 0, 0, '(14)', '', [fsBold], tajLeftJustify);
    SpoolText(1800, 26900, 210, 0, 0, 'Solicitor for Transferee(s)', '', [fsBold], tajLeftJustify);
    PrintResBuffer('DEED2', '', [], 210, 19800, 1800, 3500, 26900, -30, 0, 90, 0, 0, TRANSPARENT, False, tajFlush);
    SpoolText(1300, 28700, 210, 0, 0, 'Name and', '', [], tajLeftJustify);
    SpoolText(1300, 29000, 210, 0, 0, 'Address of', '', [], tajLeftJustify);
    SpoolText(1300, 29300, 210, 0, 0, 'Solicitor', '', [], tajLeftJustify);
    SpoolText(10300, 29740, 210, 0, 0, 'Signature', '', [], tajLeftJustify);
    PrintHDottedLine(30000, 11500, 19900, 24, 0);

    PrintAssessment(True, 30200, 31050);

    PrintMunAddProp(15, 31050,  6800, 33900, '(16) Municipal Address of Property', '');
    PrintDocPrepBy(6800, 31050, 14000, 33900, '(17) Document Prepared By:');
    PrintFeesAndTax(30200, 33900, 'Fees and Tax', 'Land Transfer Tax');
  end;
end;

procedure PrintMortgage(JP: TEZ_Printer);
begin
  with JP, TCustomProcs(Procs) do
  begin
    //SpoolIdStr(29999, 13800, 0, 210, 0, 0, '', [], tajLeftJustify);
    SpoolText(19500, 0, 700, 0, 0, 'Y', '', [fsBold], tajLeftJustify);

    SpoolText(0,   0, 450, 20100, 0, 'Mortgage', '', [fsBold], tajCenter);
    SpoolText(0, 630, 190, 20100, 0, 'Form 2  Land Registration Reform Act', '', [fsBold], tajCenter);
    PrintExecutions(920, 9400, True, True, True);
    Print_123(920, True, True, True, 1, nil);
    PrintAmount('(4) Principal Amount', 3000, 1350, True);
    PrintDescription('(5) Description', 4350, 9400, 4930, nil);
    DocContains(15, 9400, True, True, True, True, True);
    PrintBox7Fees('Interest/Estate Charged');

    PrintRoundRect(15, 10700, 20100, 17350, 600, 30, True, True, True, True); {box8-10}
    SpoolText(  200, 10800, 210, 0, 0, '(8) Standard Charge Terms ', '', [fsBold], tajLeftJustify);
    SpoolText( 4200, 10800, 210, 0, 0,
      'The parties agree to be bound by the provisions in Standard Charge Terms filed as number',
      '', [], tajLeftJustify);
    SpoolText(19100, 10800, 210, 0, 0, 'and the', '', [], tajLeftJustify);
    SpoolText(  630, 11120, 210, 0, 0,
      'Chargor(s) hereby acknowledge(s) receipt of a copy of these terms.',
      '', [], tajLeftJustify);

    SpoolText(  200, 11550, 210, 0, 0, '(9) Payment Provisions', '', [fsBold], tajLeftJustify);
    SpoolText(  620, 11850, 190, 0, 0, '(a) Principal', '', [], tajLeftJustify);
    SpoolText( 7000, 11840, 190, 0, 0, '(b) Interest', '', [], tajLeftJustify);
    SpoolText(13750, 11840, 190, 0, 0, '(c) Calculation', '', [], tajLeftJustify);
    SpoolText( 1020, 12100, 190, 0, 0, 'Amount $', '', [], tajLeftJustify);
    SpoolText( 7400, 12090, 190, 0, 0, 'Rate', '', [], tajLeftJustify);
    SpoolText(11020, 12090, 190, 0, 0, '% per annum', '', [], tajLeftJustify);
    SpoolText(14150, 12090, 190, 0, 0, 'Period', '', [], tajLeftJustify);
    {9d}
    SpoolText( 1020, 12450, 190, 0, 0, 'Interest', '', [], tajLeftJustify);
    SpoolText( 3150, 12450, 180, 0, 0, 'Y', '', [], tajLeftJustify);
    SpoolText( 4150, 12450, 180, 0, 0, 'M', '', [], tajLeftJustify);
    SpoolText( 4850, 12450, 180, 0, 0, 'D', '', [], tajLeftJustify);
    SpoolText( 5880, 12450, 190, 0, 0, 'Payment', '', [], tajLeftJustify);
    SpoolText(15550, 12450, 190, 0, 0, 'First', '', [], tajLeftJustify);
    SpoolText(17850, 12450, 180, 0, 0, 'Y', '', [], tajLeftJustify);
    SpoolText(18880, 12450, 180, 0, 0, 'M', '', [], tajLeftJustify);
    SpoolText(19600, 12450, 180, 0, 0, 'D', '', [], tajLeftJustify);
    SpoolText(  620, 12680, 190, 0, 0, '(d)', '', [], tajLeftJustify);

    SpoolText( 1020, 12680, 190, 0, 0, 'Adjustment', '', [], tajLeftJustify);
    SpoolText( 5500, 12680, 190, 0, 0, '(e) Date and', '', [], tajLeftJustify);
    SpoolText(15230, 12720, 190, 0, 0, '(f) Payment', '', [], tajLeftJustify);
    SpoolText( 1020, 12950, 190, 0, 0, 'Date', '', [], tajLeftJustify);
    SpoolText( 5880, 12950, 190, 0, 0, 'Period', '', [], tajLeftJustify);
    SpoolText(15550, 12950, 190, 0, 0, 'Date', '', [], tajLeftJustify);

    SpoolText( 1020, 13280, 190, 0, 0, 'Last', '', [], tajLeftJustify);
    SpoolText( 5900, 13280, 190, 0, 0, 'Amount', '', [], tajLeftJustify);
    SpoolText(  620, 13550, 190, 0, 0, '(g)', '', [], tajLeftJustify);
    SpoolText( 1020, 13550, 190, 0, 0, 'Payment', '', [], tajLeftJustify);
    SpoolText( 5500, 13550, 190, 0, 0, '(h) of Each', '', [], tajLeftJustify);
    SpoolText( 1020, 13800, 190, 0, 0, 'Date', '', [], tajLeftJustify);
    SpoolText( 5900, 13800, 190, 0, 0, 'Payment', '', [], tajLeftJustify);
    SpoolText(15050, 13800, 190, 0, 0, 'Dollars $', '', [], tajLeftJustify);
    SpoolText( 1020, 14200, 190, 0, 0, 'Balance', '', [], tajLeftJustify);
    SpoolText(  620, 14360, 190, 0, 0, '(i)', '', [], tajLeftJustify);
    SpoolText( 1020, 14520, 190, 0, 0, 'Due Date', '', [], tajLeftJustify);
    SpoolText( 5550, 14310, 190, 0, 0, '(j) Insurance', '', [], tajLeftJustify);
    SpoolText(15050, 14600, 190, 0, 0, 'Dollars $', '', [], tajLeftJustify);

    PrintVDottedLine(17250, 12500, 13200, 24, 0);
    PrintVDottedLine(18620, 12500, 13200, 24, 0);
    PrintVDottedLine(19350, 12500, 13200, 24, 0);
    PrintVDottedLine( 2520, 12500, 14830, 24, 0);
    PrintVDottedLine( 3890, 12500, 14830, 24, 0);
    PrintVDottedLine( 4580, 12500, 14830, 24, 0);

    PrintLine(   15, 11550, 20100, 11550, 30); {H}
    PrintLine( 6800, 11550,  6800, 12400, 30); {V1}
    PrintLine(13500, 11550, 13500, 12400, 30); {V2}
    PrintLine(   15, 12400, 20100, 12400, 30);
    PrintLine(15050, 12400, 15050, 13250, 30);
    PrintLine(   15, 13250, 20100, 13250, 30);
    PrintLine(   15, 14100, 20100, 14100, 30);
    PrintLine( 5350, 12400,  5350, 14910, 30); {v.l.}
    PrintLine(15, 14910, 20100, 14910, 30);

    SpoolText(200, 14940, 210, 0, 0, '(10) Additional Provisions', '', [fsBold], tajLeftJustify);
    SpoolText(17900, 16600, 190, 0, 0, 'Continued on', '', [], tajLeftJustify);
    SpoolText(17900, 16850, 190, 0, 0, 'Schedule', '', [], tajLeftJustify);

    PrintRoundRect(15, 17350, 20100, 26100, 600, 30, True, True, True, True); {box11-13}
    PrintHDottedLine(18240, 200, 19900, 24, 0);
    PrintHDottedLine(18970, 200, 19900, 24, 0);
    SpoolText(  200, 19350, 210, 0, 0,
      'The chargor(s) acknowledge(s) receipt of a true copy of this charge.',
      '', [], tajLeftJustify);
    SpoolText(  200, 19650, 210, 0, 0, 'Name(s)', '', [], tajLeftJustify);
    SpoolText(10300, 19650, 210, 0, 0, 'Signature(s)', '', [], tajLeftJustify);

    PrintHDottedLine(20600,   200,  9800, 24, 0);
    PrintHDottedLine(20600, 10200, 19900, 24, 0);
    PrintHDottedLine(21400,   200,  9800, 24, 0);
    PrintHDottedLine(21400, 10200, 19900, 24, 0);
    PrintHDottedLine(22150,   200,  9800, 24, 0);
    PrintHDottedLine(22150, 10200, 19900, 24, 0);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 19350, 22700);

    PrintLine(15, 22850,  20100,  22850, 30);
    SpoolText(  780, 23270, 210, 0, 0, 'Name(s)', '', [], tajLeftJustify);
    SpoolText(10300, 23270, 210, 0, 0, 'Signature(s)', '', [], tajLeftJustify);
    PrintHDottedLine(24170,   200,  9800, 24, 0);
    PrintHDottedLine(24170, 10200, 19900, 24, 0);

    PrintLine(15, 24970, 20100, 24970, 30);
    SpoolText(200, 25000, 210, 0, 0, '(13) Chargor(s) Address', '', [fsBold], tajLeftJustify);
    SpoolText(780, 25350, 210, 0, 0, 'for Service', '', [fsBold], tajLeftJustify);

    PrintRoundRect(15, 26100, 20100, 28660, 600, 30, True, True, True, True); {box14}
    SpoolText(200, 26150, 210, 0, 0, '(14) Chargee(s)', '', [fsBold], tajLeftJustify);
    PrintHDottedLine(27100, 200, 19900, 24, 0);
    PrintHDottedLine(27820, 200, 19900, 24, 0);

    PrintRoundRect(15, 28660, 20100, 29940, 600, 30, True, True, True, True); {box15}
    SpoolText(200, 28710, 210, 0, 0, '(15) Chargee(s) Address', '', [fsBold], tajLeftJustify);
    SpoolText(780, 29010, 210, 0, 0, 'for Service', '', [fsBold], tajLeftJustify);

    PrintAssessment(False, 29940, 30820);

    PrintMunAddProp(15, 30820, 6830, 33900, '(17) Municipal Address of Property', '');
    PrintDocPrepBy(6830, 30820, 14000, 33900, '(18) Document Prepared By:');
    PrintFeesAndTax(29940, 33900, 'Fees and Tax', '');
  end;
end;

procedure PrintDischarge(JP: TEZ_Printer);
begin
  with JP, TCustomProcs(Procs) do
  begin
    //SpoolIdStr(29999, 14700, 0, 180, 0, 0, '', [], tajLeftJustify);
    SpoolText(19500, 0, 700, 0, 0, 'X', '', [fsBold], tajLeftJustify);

    SpoolText(0,   0, 450, 20100, 0, 'Discharge', '', [fsBold], tajCenter);
    SpoolText(0, 630, 190, 20100, 0, 'Form 3  Land Registration Reform Act', '', [fsBold], tajCenter);
    PrintExecutions(920, 8200, False, True, True);
    Print_123(920, True, True, True, 1, nil);
    PrintDescription('(4) Description', 3000, 8200, 3500, nil);

    PrintRoundRect(15, 8200, 20100, 10350, 600, 30, True, True, True, True);
    SpoolText( 200, 8300, 210, 0, 0, '(5) Charge to be Discharged', '', [fsBold], tajLeftJustify);
    SpoolText(1300, 8800, 210, 0, 0, 'Registration Number', '', [], tajLeftJustify);
    SpoolText(5150, 8800, 210, 0, 0, 'Date of Registration', '', [], tajLeftJustify);
    PrintVDottedLine( 1250, 9500, 10200, 24, 0);
    PrintVDottedLine( 4000, 9500, 10200, 24, 0);
    PrintHDottedLine(10200, 1250,  4000, 24, 0);
    PrintVDottedLine( 5100, 9500, 10200, 24, 0);
    PrintVDottedLine( 6400, 9500, 10200, 24, 0);
    PrintVDottedLine( 7100, 9500, 10200, 24, 0);
    PrintVDottedLine( 7800, 9500, 10200, 24, 0);
    PrintHDottedLine(10200, 5100,  7800, 24, 0);

    PrintLine(9600, 8200, 9600, 10350, 30);
    SpoolText( 9800, 8300, 210, 0, 0, '(6) This is a', '', [fsBold], tajLeftJustify);
    SpoolText(10200, 9880, 210, 0, 0, 'Complete Discharge', '', [], tajLeftJustify);
    SpoolText(13500, 9880, 210, 0, 0, 'Partial Discharge', '', [], tajLeftJustify);
    SpoolText(16600, 9880, 210, 0, 0, 'Final Partial Discharge', '', [], tajLeftJustify);

    PrintCheckBox(12900, 9800, 350, 25, True);
    PrintCheckBox(15700, 9800, 350, 25, True);
    PrintCheckBox(19500, 9800, 350, 25, True);

    PrintRoundRect(15, 10350, 20100, 24700, 600, 30, True, True, True, True);
    SpoolText(200, 10450, 210, 0, 0, '(7) Description (cont''d.),  Recitals,  Assignments', '', [fsBold], tajLeftJustify);
    SpoolText(16500, 24080, 210, 0, 0, 'Continued on Schedule', '', [], tajLeftJustify);
    PrintCheckBox(19400, 24000, 350, 25, True);

    PrintRoundRect(15, 24700, 20100, 30200, 600, 30, True, True, True, True);
    SpoolText( 200, 24800, 210, 0, 0, '(8) Chargee(s)', '', [fsBold], tajLeftJustify);
    SpoolText(2300, 24800, 210, 0, 0, 'I am the person entitled by law to grant the ' +
                                      'discharge and this charge is hereby discharged '+
                                      'as to the land described herein.', '', [], tajLeftJustify);
    SpoolText(  200, 25400, 210, 0, 0, 'Name(s)', '', [], tajLeftJustify);
    SpoolText(10300, 25400, 210, 0, 0, 'Signature(s)', '', [], tajLeftJustify);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 25400, 29500);
    PrintHDottedLine(26800,   200,  9900, 24, 0);
    PrintHDottedLine(26800, 10300, 19900, 24, 0);
    PrintHDottedLine(27700,   200,  9900, 24, 0);
    PrintHDottedLine(27700, 10300, 19900, 24, 0);
    PrintHDottedLine(28600,   200,  9900, 24, 0);
    PrintHDottedLine(28600, 10300, 19900, 24, 0);
    PrintHDottedLine(29500,   200,  9900, 24, 0);
    PrintHDottedLine(29500, 10300, 19900, 24, 0);

    SpoolText(  700, 29600, 210, 0, 0, 'Additional:', '', [], tajLeftJustify);
    SpoolText(  700, 29900, 210, 0, 0, 'See Schedule', '', [], tajLeftJustify);
    PrintCheckBox(2800, 29700, 350, 25, True);

    PrintMunAddProp(15, 30200,  6830, 33900, '(9) Chargee(s) Address', 'for Service');
    PrintDocPrepBy(6830, 30200, 14000, 33900, '(10) Document Prepared By:');
    PrintFeesAndTax(30200, 33900, 'Fees and Tax', '');
  end;
end;

procedure PrintDocGen(JP: TEZ_Printer);
begin
  with JP, TCustomProcs(Procs) do
  begin
    // SpoolIdStr(29999, 13600, 0, 210, 0, 0, '', [], tajLeftJustify);
    SpoolText(19500, 0, 700, 0, 0, 'W', '', [fsBold], tajLeftJustify);

    SpoolText(0,   0, 450, 20100, 0, 'Document', '', [fsBold], tajCenter);
    SpoolText(0, 630, 180, 20100, 0, 'Form 4  Land Registration Reform Act', '', [fsBold], tajCenter);
    PrintExecutions(920,11600, True, True, True);
    Print_123(920, True, True, True, 1, nil);

    PrintRoundRect(7750, 3000, 20100, 5500, 600, 30, False, True, True, False);
    SpoolText(7900, 3100, 210, 0, 0, '(4) Nature of document', '', [fsBold], tajLeftJustify);
    PrintLine(7750, 4210, 20100, 4210, 30);
    PrintAmount('(5) Consideration', 4210, 1290, False);
    PrintDescription('(6) Description', 5500, 10200, 5950, nil);
    DocContains(7750, 10200, False, True, True, True, True);

    PrintRoundRect(15, 11600, 20100, 19200, 600, 30, True, True, True, True);
    SpoolText(  200, 11720, 210, 0, 0, '(8) This Document provides as follows:', '', [fsBold], tajLeftJustify);
    SpoolText(16600, 18720, 210, 0, 0, 'Continued on Schedule', '', [], tajLeftJustify);
    PrintCheckBox(19600, 18640, 350, 25, True);

    PrintRoundRect(15, 19200, 20100, 20000, 600, 30, True, True, True, True);
    SpoolText(200, 19300, 210, 0, 0, '(9) This Document relates to instrument number(s)', '', [fsBold], tajLeftJustify);

    PrintRoundRect(15, 20000, 20100, 25150, 600, 30, True, True, True, True);
    SpoolText(  200, 20070, 210, 0, 0, '(10) Party(ies)', '', [fsBold], tajLeftJustify);
    SpoolText( 2200, 20070, 210, 0, 0, '(Set out Status or Interest)', '', [], tajLeftJustify);
    SpoolText(  780, 20500, 210, 0, 0, 'Name(s)', '', [], tajLeftJustify);
    SpoolText(10400, 20500, 210, 0, 0, 'Signature(s)', '', [], tajLeftJustify);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 20500, 24250);
    PrintHDottedLine(21600,   200,  9900, 24, 0);
    PrintHDottedLine(21600, 10300, 19900, 24, 0);
    PrintHDottedLine(22475,   200,  9900, 24, 0);
    PrintHDottedLine(22475, 10300, 19900, 24, 0);
    PrintHDottedLine(23350,   200,  9900, 24, 0);
    PrintHDottedLine(23350, 10300, 19900, 24, 0);

    PrintLine(15, 24250, 20100, 24250, 30);
    SpoolText(200, 24350, 190, 0, 0, '(11)', '', [fsBold], tajLeftJustify);
    SpoolText(800, 24350, 190, 0, 0, 'Address', '', [fsBold], tajLeftJustify);
    SpoolText(800, 24650, 190, 0, 0, 'for Service', '', [fsBold], tajLeftJustify);

    PrintRoundRect(15, 25150, 20100, 30150, 600, 30, True, True, True, True);
    SpoolText(  200, 25250, 210, 0, 0, '(12) Party(ies)', '', [fsBold], tajLeftJustify);
    SpoolText( 2200, 25250, 210, 0, 0, '(Set out Status or Interest)', '', [], tajLeftJustify);
    SpoolText(  780, 25600, 210, 0, 0, 'Name(s)', '', [], tajLeftJustify);
    SpoolText(10400, 25600, 210, 0, 0, 'Signature(s)', '', [], tajLeftJustify);
    YMD_DateAndPrompts('', 'Date of Signature', 17200, 25600, 29300);
    PrintHDottedLine(26750,   200,  9900, 24, 0);
    PrintHDottedLine(26750, 10300, 19900, 24, 0);
    PrintHDottedLine(27625,   200,  9900, 24, 0);
    PrintHDottedLine(27625, 10300, 19900, 24, 0);
    PrintHDottedLine(28550,   200,  9900, 24, 0);
    PrintHDottedLine(28550, 10300, 19900, 24, 0);

    PrintLine(15, 29300, 20100, 29300, 30);
    SpoolText(200, 29400, 190, 0, 0, '(13)', '', [fsBold], tajLeftJustify);
    SpoolText(800, 29400, 190, 0, 0, 'Address', '', [fsBold], tajLeftJustify);
    SpoolText(800, 29750, 190, 0, 0, 'for Service', '', [fsBold], tajLeftJustify);

    PrintMunAddProp(15, 30150,  6830, 33900, '(14) Municipal Address of Property', '');
    PrintDocPrepBy(6830, 30150, 14000, 33900, '(15) Document Prepared By:');
    PrintFeesAndTax(30150, 33900, 'Fees and Tax', '');
  end;
end;

procedure PrintSchedule(JP: TEZ_Printer);
begin
  with JP, TCustomProcs(Procs) do
  begin
    // SpoolIdStr(29999, 13600, 0, 210, 0, 0, '', [], tajLeftJustify);
    SpoolText(19500, 0, 700, 0, 0, 'U', '', [fsBold], tajLeftJustify);

    SpoolText(0,   0, 450, 20100, 0, 'The Form 5', '', [fsBold], tajCenter);
    SpoolText(0, 620, 220, 20100, 0, 'Form 5  Land Registration Reform Act',  '', [fsbold], tajCenter);
    PrintLine(SpoolText(16340, 740, 210, 0, 0, 'Page', '',  [], tajLeftJustify)+60, 980, 19160, 980, 20);
    PrintRoundRect(30, 1400, 20200, 31750, 600, 30, True, True, True, True);
    SpoolText(200, 1550, 220, 0, 0,
      'Additional Property Identifier(s) and/or Other Information',
      '', [fsBold], tajLeftJustify);

    PrintRoundRect(30, 31750, 20200, 33900, 600, 30, True, True, True, True);
    PrintLine(150, 31830, 150, 33820, 30);
    PrintLine(270, 31770, 270, 33880, 30);
    PrintLine(390, 31750, 390, 31950, 30);
    PrintLine(510, 31750, 510, 31950, 30);
    PrintLine(630, 31750, 630, 31950, 30);
    PrintLine(750, 31750, 750, 31950, 30);
    PrintLine(870, 31750, 870, 33900, 30);
    PrintLine(990, 31750, 990, 33900, 30);
    PrintLine(390, 33480, 390, 33900, 30);
    PrintLine(510, 33480, 510, 33900, 30);
    PrintLine(630, 33480, 630, 33900, 30);
    PrintLine(750, 33480, 750, 33900, 30);
    PrintBMPs(330, 31950, 810, 33730, 'B81', OPAQUE);
  end;
end;

end.

