unit DemoLet;

interface

uses
  Windows, SysUtils, Graphics,
  PCharLIB, DCTools, PrintPro, MathTool, EZ_Print;

const
  MinPageLetter = 1;
  MaxPageLetter = 5;

procedure PageOneDemo(JP: TEZ_Printer);
procedure PageTwoDemo(JP: TEZ_Printer);

// for now PageThreeDemo can be printed only from Preview form,
// and only when using Metafiles.
procedure PageThreeDemo(JP: TEZ_Printer; Rotate, PrintSomeData: Boolean);

procedure DemoFontSize(JP: TEZ_Printer);
procedure DemoColors(JP: TEZ_Printer);

implementation

procedure PageOneDemo(JP: TEZ_Printer);
begin
  with JP, Procs do
  begin
    MapMode := tMM_LOMETRIC;

    SpoolText(20, 2, 15, 0, 0, 'PageOneDemo', 'Arial', [fsHeavy], tajLeftJustify);
    PrintRect(20, 20, 2660, 2000, 4);
    PrintRoundRect(90, 100, 2590, 1900, 60, 4, True, True, True, True);
    SpoolText(20, 130, 160, 2680, 3, 'EZ-PRINT 4.0!', 'Times New Roman',
              [fsBold, fsItalic, fsUnderline], tajCenter);
    SpoolText(0, 2005, 15, 2650, 0, 'Copyright  1997-2000, by ADV-Easy', 'Arial', [fsHeavy], tajRightJustify);

    SpoolText(120, 400, 35, 590, 3, 'Lines', 'Arial', [fsBold], tajCenter);

    PrintLine(200, 450, 470, 450, 10);
    PrintLine(200, 480, 430, 480, 7);
    PrintLine(200, 510, 380, 510, 5);
    PrintLine(200, 540, 340, 540, 3);
    PrintLine(200, 570, 300, 570, 2);

    PrintLine(180, 450, 180, 570, 2);
    PrintLine(160, 470, 160, 570, 4);
    PrintLine(140, 494, 140, 570, 6);
    PrintLine(120, 510, 120, 570, 10);

    PrintLine(320, 570, 500, 450, 2);
    PrintLine(350, 570, 500, 480, 4);
    PrintLine(380, 570, 500, 510, 8);

    PrintHDottedLine(590, 120, 515, 2, 10);
    PrintHDottedLine(600, 120, 515, 2, 20);

    PrintVDottedLine(520, 450, 590, 2, 10);
    PrintVDottedLine(530, 450, 590, 2, 20);

    SpoolText(550, 400, 35, 850, 3, 'Rectangles', 'Arial', [fsBold], tajCenter);
    PrintRect(750, 550, 850, 600, 6);
    Draw_HP_ShadowRect(746, 546, 750+50, 550+25, 1, 0);
    PrintRect(550, 450, 800, 575, 6);
    PrintRoundRect(570, 470, 780, 555, 60, 4, True, True, True, True);
    PrintBlackRect(610, 490, 700, 520);

    SpoolText(900, 400, 35, 1400, 3, 'Ellipses', 'Arial', [fsBold], tajCenter);
    PrintEllipse( 900, 450, 1400, 600, 6, clWhite, clBlack);
    PrintEllipse(1000, 500, 1300, 550, 0, clBlack, clBlack);
    PrintArc(1320, 400, 1430, 650, 1320, 584, 1320, 466, 6);
    PrintBrushedArc(1320, 400, 1430, 650, 1320, 584, 1320, 466, 1400, 450, 6, LTGRAY_BRUSH);

    SpoolText(1450, 400, 25, 0, 3, 'OPAQUE', 'Arial', [fsBold], tajLeftJustify);
    SpoolText(1650, 400, 25, 0, 0, 'TRANSPARENT', 'Arial', [fsBold], tajLeftJustify);
    TextOutAngle(1430, 570, 85, 200, 'BITMAPS', 'Times New Roman', [fsBold], 4);
    PrintBMPs(1450, 450, 1600, 600, 'COARM', OPAQUE);
    PrintBMPs(1650, 450, 1800, 600, 'COARM', TRANSPARENT);

    PrintRect(150, 730,  550, 1000, 2);
    PrintRect(600, 730,  950, 1000, 2);
    PrintRect(1000, 730, 1350, 1000, 2);
    PrintRect(1400, 730, 1750, 1000, 2);

    Draw_HP_ShadowRect(151, 731, 549, 999, 2, 13);
    Draw_HP_ShadowRect(601, 731, 949, 999, 2, 10);
    Draw_HP_ShadowRect(1001, 731, 1349, 999, 2, 7);
    Draw_HP_ShadowRect(1401, 731, 1749, 999, 2, 4);

    SpoolText(150, 685, 40, 1750, 3, 'Next lines were printed one by one.', 'Arial', [fsBold], tajCenter);
    SpoolText(150, 750, 37, 550, 0, 'Couple of lines', 'Arial', [], tajLeftJustify);
    SpoolText(150, 800, 37, 550, 0, 'left aligned', 'Arial', [], tajLeftJustify);
    SpoolText(150, 850, 37, 550, 0, 'EZ_PRINT is the', 'Arial', [], tajLeftJustify);
    SpoolText(150, 900, 37, 550, 0, 'perfect tool', 'Arial', [], tajLeftJustify);
    SpoolText(150, 950, 37, 550, 0, 'for nice printing.', 'Arial', [], tajLeftJustify);

    SpoolText(600, 750, 37, 950, 0, 'Couple of lines', 'Arial', [], tajCenter);
    SpoolText(600, 800, 37, 950, 0, 'center aligned', 'Arial', [], tajCenter);
    SpoolText(600, 850, 37, 950, 0, 'EZ_PRINT is the', 'Arial', [], tajCenter);
    SpoolText(600, 900, 37, 950, 0, 'perfect tool', 'Arial', [], tajCenter);
    SpoolText(600, 950, 37, 950, 0, 'for nice printing.', 'Arial', [], tajCenter);

    SpoolText(1000, 750, 37, 1350, 0, 'Couple of lines', 'Arial', [], tajRightJustify);
    SpoolText(1000, 800, 37, 1350, 0, 'right aligned', 'Arial', [], tajRightJustify);
    SpoolText(1000, 850, 37, 1350, 0, 'EZ_PRINT is the', 'Arial', [], tajRightJustify);
    SpoolText(1000, 900, 37, 1350, 0, 'perfect tool', 'Arial', [], tajRightJustify);
    SpoolText(1000, 950, 37, 1350, 0, 'for nice printing.', 'Arial', [],tajRightJustify);

    SpoolText(1400, 750, 37, 1750, 0, 'Couple of lines', 'Times New Roman', [fsBold], tajFlush);
    SpoolText(1400, 800, 37, 1750, 0, 'FLUSH aligned', 'Times New Roman', [fsBold], tajFlush);
    SpoolText(1400, 850, 37, 1750, 0, 'EZ_PRINT is the', 'Times New Roman', [fsBold], tajFlush);
    SpoolText(1400, 900, 37, 1750, 0, 'perfect tool', 'Times New Roman', [fsBold], tajFlush);
    SpoolText(1400, 950, 37, 1750, 0, 'for nice printing.', 'Times New Roman', [fsBold],tajFlush);
    PrintRect(1900, 300, 2500, 1800, 2);

    PrintFileBuffAlign('s3.txt', 'Times New Roman', [fsBold], 32, 2500, 1900, 150,
      PrintFileBuffAlign('s2.txt', 'Arial', [fsItalic], 35, 2500, 1900, 150,
      PrintFileBuffAlign('s1.txt', 'Times New Roman', [], 35, 2500, 1900, 150, 310,
          0, 10, 80, 0, 32000, TRANSPARENT, False, tajFlush)+15,
          0, 10, 80, 0, 32000, TRANSPARENT, False, tajFlush)+15,
          0, 10, 80, 0, 32000, TRANSPARENT, False, tajFlush);

    TextOutAngle(1850, 1800, 35, 900, 'You can print multiple paragraphs with '+
      'various font settings !', 'Times New Roman', [fsBold], 4);

    SpoolText(200, 1100, 35, 1400, 3, 'Font style [fsThin] (new) ... '+
      'Some fonts don''t have this style.', 'Times New Roman', [fsThin], tajLeftJustify);
    SpoolText(200, 1150, 35, 1400, 3, 'Font style [] ... fsNormal', 'Times New Roman', [], tajLeftJustify);
    SpoolText(200, 1200, 35, 1400, 3, 'Font style [fsBold]', 'Times New Roman', [fsBold], tajLeftJustify);
    SpoolText(200, 1250, 35, 1400, 3, 'Font style [fsHeavy] (new)', 'Times New Roman', [fsHeavy], tajLeftJustify);

    SpoolText(PrintCheckBox(150, 1400, 35, 3, True)+20,
      1402, 35, 0, 0, 'Checkboxes.', 'Arial', [], tajLeftJustify);
    SpoolText(PrintCheckBox(150, 1450, 40, 3, True)+20,
      1453, 40, 0, 0, 'Checkboxes.', 'Arial', [], tajLeftJustify);
    SpoolText(PrintCheckBox(150, 1500, 50, 3, True)+20,
      1504, 50, 0, 0, 'Checkboxes.', 'Arial', [], tajLeftJustify);

    SpoolText(PrintRadioButton(160, 1600, 18, 2, True)+20,
      1586, 35, 0, 0, 'Radiobuttons.', 'Arial', [], tajLeftJustify);

    Draw_HP_ShadowRect(1100, 1250, 1750, 1454, 2, 8);
    PrintFileBuffAlign('s1.txt', 'Arial', [fsBold], 30,
      1150, 550, 150, 1400, 0, 10, 80, 0, 32000, TRANSPARENT, False, tajFlush);
    PrintFileBuffAlign('s2.txt', 'Arial', [], 25,
      1400, 850, 150, 1300, 0, 10, 80, 0, 32000, TRANSPARENT, False, tajFlush);
    PrintFileBuffAlign('s3.txt', 'Times New Roman', [], 25,
      1750, 1100, 150, 1250, 0, 10, 80, 0, 32000, TRANSPARENT, False, tajFlush);

    SpoolText(150, 1820, 50, 1750, 0,
      'And much, much more ...', 'Arial', [fsBold], tajFlush);
  end;
end;

procedure PageTwoDemo(JP: TEZ_Printer);

procedure AdjustBounds(var X, Y, W, H: Integer; dx, dy: Integer);
begin
  X := X + dx;
  Y := Y + dy;
  W := W - 2 * dx;
  H := H - 2 * dy;
end;

var
  Buffer: PChar;
  Err, X, Y, W, H: Integer;
begin
  with JP, Procs do
  begin
    MapMode := tMM_HIMETRIC;

    SpoolText(200, 20, 150, 0, 0, 'PageTwoDemo', 'Arial', [fsHeavy], tajLeftJustify);
    PrintRect(200, 200, 26600, 20000, 40);
    PrintRoundRect(900, 1000, 25900, 19000, 600, 40, True, True, True, True);
    SpoolText(200, 1300, 1600, 26800, 3, 'EZ-PRINT 4.0!', 'Times New Roman',
              [fsBold, fsItalic, fsUnderline], tajCenter);
    SpoolText(0, 20050, 150, 26500, 0, 'Copyright  1997-2000, by ADV-Easy', 'Arial', [fsHeavy], tajRightJustify);

    SpoolText(1200, 4000, 350, 5200, 3, 'Tables', 'Arial', [fsBold], tajCenter);
    DrawTable(1200, 4500, 20, 1000, 700, 4, 4);

    SpoolText(5500, 4000, 350, 13500, 3, 'Text in Tables', 'Arial', [fsBold], tajCenter);
    DrawTable(5500, 4500, 20, 500, 400, 7, 16);

    Buffer := StrNew('Couple of text printed centered and word-wrapped inside a table. '+
                     'Once again, EZ_PRINT is the best !');
    try
      DrawTextInTable(5500, 4500, 500, 400, 350, 7, 16, Buffer, 'Times New Roman', [fsBold], True, True);
    finally
      StrDispose(Buffer);
    end;

    X :=  1200;
    Y :=  8000;
    W := 12300;
    H :=  8000;
    PrintRect(X, Y, X + W, Y + H, 20);
    AdjustBounds(X, Y, W, H, 100, 100);
    RectangleBand_Pattern(X, Y, X + W, Y + H, 300, 'PATT12');
    AdjustBounds(X, Y, W, H, 400, 400);
    PrintRect(X, Y, X + W, Y + H, 20);
    AdjustBounds(X, Y, W, H, 100, 100);
    RectangleBand_Pattern(X, Y, X + W, Y + H, 300, 'PATT10');
    AdjustBounds(X, Y, W, H, 400, 400);
    PrintRect(X, Y, X + W, Y + H, 20);
    AdjustBounds(X, Y, W, H, 100, 100);
    RectangleBand_Pattern(X, Y, X + W, Y + H, 300, 'PATT8');
    AdjustBounds(X, Y, W, H, 400, 400);
    PrintRect(X, Y, X + W, Y + H, 20);
    AdjustBounds(X, Y, W, H, 100, 100);
    RectangleBand_Pattern(X, Y, X + W, Y + H, 300, 'PATT6');
    AdjustBounds(X, Y, W, H, 400, 400);
    PrintRect(X, Y, X + W, Y + H, 20);
    AdjustBounds(X, Y, W, H, 100, 100);
    RectangleBand_Pattern(X, Y, X + W, Y + H, 300, 'PATT19');
    AdjustBounds(X, Y, W, H, 400, 400);
    PrintRect(X, Y, X + W, Y + H, 20);
    AdjustBounds(X, Y, W, H, 100, 100);
    SpoolPCharInRect(X+200, Y+700, 650, X+W-400, 0, 'Patterns and Bitmaps'#13#10'EZ-PRINTed !',
      'Times New Roman', [fsBold], tajFlush);
    PrintBMPs(X+(W-H) div 2, Y, X+(W-H) div 2 + H, Y+H, 'CIRCLE', TRANSPARENT);

    SpoolText(15000, 4000, 350, 24500, 3, 'Black and white bitmap from clipboard', 'Arial', [fsBold], tajCenter);
    PrintRect(15000, 4500, 24500, 16000, 20);
    Err := PrintClpbrdBMP(15100, 4600, 24400, 15900, TRANSPARENT);
    case Err of
      -1, 0:
	begin
	  SpoolText(15200, 4700, 350, 24300, 0, 'EZ-PRINT failed printing Clipboard.',
	    'Times New Roman', [fsItalic], tajLeftJustify);
	  if Err = -1 then
	    SpoolText(15200, 5100, 350, 24300, 0, 'Cannot print color bitmaps.',
	      'Times New Roman', [fsItalic], tajLeftJustify)
	  else
	    SpoolText(15200, 5100, 350, 24300, 0, 'No bitmap was available in clipboard.',
	      'Times New Roman', [fsItalic], tajLeftJustify);
	  SpoolText(15200, 5500, 350, 24300, 0, 'Try with a black and white image.',
	    'Times New Roman', [fsItalic], tajLeftJustify);
	end;
    end;

    SpoolText(1500, 17200, 400, 24500, 0,
      'Now you know how powerful is EZ_PRINT. Other features can be added very easy ... '+
      'once you got the full code!', 'Arial', [fsBold], tajFlush);
    SpoolText(SpoolText(1500, 17800, 400, 24500, 0,
      'What are you waiting for? Register now: more information on my web-site:',
      'Arial', [fsBold], tajLeftJustify)+200, 17800, 400, 24500, 0,
      'http://www.interlog.com/~ljee', 'Times New Roman', [fsBold], tajLeftJustify);

  end;
end;

procedure DemoColors(JP: TEZ_Printer);
const
  clMoneyGreen  = TColor($C0DCC0);
  clSkyBlue     = TColor($F0CAA6);
  clCream       = TColor($F0FBFF);
  clMediumGray  = TColor($A4A0A0);

  ColorCount    =  20;
  ColorsArr : array [0..ColorCount-1] OF TColor =
               (clBlack, clMaroon, clGreen, clOlive, clNavy, clPurple,
                clTeal, clSilver, clMoneyGreen, clSkyBlue, clCream,
                clMediumGray, clGray, clRed, clLime, clYellow, clBlue,
                clFuchsia, clAqua, clWhite);
  BrushArr  : array [0..7] of Word =
               (BS_SOLID,BS_HATCHED,BS_HATCHED,BS_HATCHED,
                BS_HATCHED,BS_HATCHED,BS_HATCHED,BS_HATCHED);

var
  iColor        : Word;
  iGray         : Word;
  Brush         : Word;
  CurX, CurY,
  X1, Y1,
  DX, DY        : Longint;
begin
  with JP, Procs do
  begin
    MapMode := tMM_HIMETRIC;

    SpoolText(200, 20, 150, 0, 0, 'DemoColors', 'Arial', [fsHeavy], tajLeftJustify);
    PrintRect(200, 200, 26600, 20000, 40);
    PrintRoundRect(900, 1000, 25900, 19000, 600, 40, True, True, True, True);
    SpoolText(200, 1300, 1600, 26800, 3, 'EZ-PRINT 4.0!', 'Times New Roman',
              [fsBold, fsItalic, fsUnderline], tajCenter);
    SpoolText(0, 20050, 150, 26500, 0, 'Copyright  1997-2000, by ADV-Easy', 'Arial', [fsHeavy], tajRightJustify);

    X1 := 1500;
    Y1 := 3300;
    DX := 385;
    DY := 700;

    for iGray := 0 TO 60 DO
    begin
      SetBrush ( BrushArr[0], RGB(4*iGray, 4*iGray, 4*iGray), 0 );
      PrintColorRect ( X1 + iGray * DX, Y1,
                       X1 + succ(iGray) * DX, Y1+DY );
    end;

    Y1 := Y1+DY;

    for iGray := 0 TO 60 DO
    begin
      SetBrush ( BrushArr[0], RGB(195+iGray, 195+iGray, 195+iGray), 0 );
      PrintColorRect ( X1 + iGray * DX, Y1,
                       X1 + succ(iGray) * DX, Y1+DY );
    end;

    Y1 := Y1+DY;
    DX := 600;

    for iColor := Low(ColorsArr) to High(ColorsArr) do
    begin
      CurY := Y1 + iColor * DY;
      for Brush := 0 to 7 do
      begin
        CurX := X1 + Brush * DX;
        SetBrush ( BrushArr[Brush], ColorsArr[iColor], iColor mod 6 );
        PrintColorRect ( CurX, CurY, CurX+DX, CurY+DY );
      end;
    end;

    X1 := 7500;
    Y1 := 4700;
    PrintEllipse(X1+DX, Y1+DY, X1+28*DX, Y1+20*DY, 0, clRed, clRed);
    PrintEllipse(X1+2*DX, Y1+2*DY, X1+27*DX, Y1+19*DY, 0, clYellow, clYellow);
    PrintEllipse(X1+4*DX, Y1+4*DY, X1+27*DX, Y1+19*DY, 0, clAqua, clAqua);
    PrintEllipse(X1+6*DX, Y1+6*DY, X1+27*DX, Y1+19*DY, 0, clGreen, clGreen);
    PrintEllipse(X1+8*DX, Y1+8*DY, X1+27*DX-100, Y1+19*DY-100, 0, clWhite, clBlack);

    OneTileBitmap(X1+9*DX, Y1+9*DY, X1+25*DX, Y1+18*DY, 100, 'DAORACLE', OPAQUE, True);
  end;
end;

procedure DemoFontSize(JP: TEZ_Printer);
var
  TM, TM1: TTextMetric;
  Y, Y1, BadInteger: Integer;
begin
  with JP, Procs do
  begin
    MapMode := tMM_HIMETRIC;
    SpoolText(200, 20, 150, 0, 0, 'DemoFontSize', 'Arial', [fsHeavy], tajLeftJustify);

    Y := 1300;
    SetCanvas(4000, 'Times New Roman', []);
    SpoolPCharInRect(200, Y, 0, 15000, 0, 'gMpqf'#13#10'gMpqf',
                     'Times New Roman', [], tajLeftJustify);
    SureGetTextMetric(DC, TM);
    TM1 := TM;
    with TM do
    begin
      ConvertPts(True, [
        Longint(@BadInteger), Longint(@tmInternalLeading),
        Longint(@BadInteger), Longint(@tmExternalLeading),
        Longint(@BadInteger), Longint(@tmAscent),
        Longint(@BadInteger), Longint(@tmDescent)]);
      Y := Y - tmInternalLeading;

      PrintLine(200, 0, 17100, 0, 10);
      PrintLine(200, Y-tmExternalLeading, 17100, Y-tmExternalLeading, 10);
      PrintLine(200, Y, 19100, Y, 10);
      PrintLine(200, Y+tmInternalLeading, 17100, Y+tmInternalLeading, 10);
      PrintLine(200, Y+tmAscent, 17100, Y+tmAscent, 10);
      Y1 := Y+tmAscent+tmDescent;
      PrintLine(200, Y1, 17100, Y1, 10);

      PrintLine(200, Y1+tmInternalLeading, 17100, Y1+tmInternalLeading, 10);
      PrintLine(200, Y1+tmAscent, 17100, Y1+tmAscent, 10);
      PrintLine(200, Y1+tmAscent+tmDescent, 17100, Y1+tmAscent+tmDescent, 10);
    end;

    SpoolText(17500, Y-TM.tmExternalLeading, 150, 0, 0,
      Format('External Leading: %d', [TM1.tmExternalLeading]), 'Arial', [], tajLeftJustify);

    SpoolText(17500, Y+150, 150, 0, 0,
      Format('Internal Leading: %d', [TM1.tmInternalLeading]), 'Arial', [], tajLeftJustify);

    SpoolText(17500, Y+1700, 150, 0, 0, Format('Ascent: %d', [TM1.tmAscent]), 'Arial', [], tajLeftJustify);

    SpoolText(17500, Y+TM.tmAscent+250, 150, 0, 0, 
      Format('Descent: %d', [TM1.tmDescent]), 'Arial', [], tajLeftJustify);

    SpoolText(200, Y+TM.tmAscent+TM.tmDescent+500, 200, 0, 0,
      Format('Font Height: %d (40 mm)', [TM1.tmHeight]), 'Arial', [], tajLeftJustify);

  end;
end;

procedure PageThreeDemo(JP: TEZ_Printer; Rotate, PrintSomeData: Boolean);

procedure DrawStuff1(X1, Y1, X2, Y2, PenWidth, FontSize, ID: Integer);
begin
  with JP, Procs do
  begin
    HLine(Y1, X1, X2, PenWidth);
    Band_Pattern(X1-20, Y1+20, X2+20, Y1+20, Y2-Y1-PenWidth, 'PATT25');
    HLine(Y2, X1, X2, PenWidth);
    SpoolText(X1, Y1+2*((Y2-Y1-FontSize) div 3), FontSize, X2, 2, LoadStr(ID), '', [fsHeavy], tajCenter);
  end;
end;

var
  X, Y, Y1, Y2, Y3, I, J: Integer;
  xForm: TXForm;
  lPoint: TPoint;
begin
 
  with JP, Procs do
  begin
    MapMode := tMM_HIMETRIC;
    FillChar ( xForm, SizeOf(xForm), #0 );

    if Rotate then
      if Status = tpPreview then
      begin
        xForm.eM11 :=  0.0; //  cos
        xForm.eM12 := -1.0; //  sin
        xForm.eM21 :=  1.0; // -sin
        xForm.eM22 :=  0.0; //  cos
        SetGraphicsMode ( DC, GM_ADVANCED );
        SetWorldTransform ( DC, xForm );
        SetViewportOrgEx ( DC, 0, dcheight, nil );
      end
      else
      if Status = tpPrint then
      begin
        xForm.eM11 :=  0.0; //  cos
        xForm.eM12 := -1.0; //  sin
        xForm.eM21 :=  1.0; // -sin
        xForm.eM22 :=  0.0; //  cos
        SetGraphicsMode ( DC, GM_ADVANCED );
        SetWorldTransform ( DC, xForm );
        SetViewportOrgEx ( DC, 0, 5000, nil );
      end;

    SpoolText(700, 250, 407, 0, 1, LoadStr(20000), '', [fsHeavy], tajLeftJustify);
    PrintBuffAlign(ldPChar(20001), '', [], 293,
      13700, 700, 0, 700, 40, 0, 90, 4, 0, TRANSPARENT, False, tajLeftJustify);

    X := SpoolText(2200, 1430, 293, 0, 2, 'Only', '', [fsHeavy], tajLeftJustify)+120;
    PrintBuffAlign(ldPChar(20002), '', [], 293, 13700, 700, X - 700,
      1430, 40, 0, 90, 2, 0, TRANSPARENT, False, tajLeftJustify);

    PrintEllipse(14950, 370, 15210, 620, 1, clBlack, clBlack);
    PrintEllipse(15280, 370, 15540, 620, 1, clBlack, clBlack);
    PrintEllipse(15590, 370, 15850, 620, 1, clBlack, clBlack);

    PrintBlackRect(14950,  680, 15850,  870);
    PrintBlackRect(14950, 1020, 15850, 1210);
    SpoolText(SpoolText(16090,
      600, 707, 0, 0, 'CrownLife', '', [fsBold], tajLeftJustify)-30,
      590, 280, 0, 0, '', '', [fsHeavy], tajLeftJustify);

    X := 670;   Y1 := 2340;   Y2 := Y1 + 400;
    DrawStuff1(X, Y1, 19650, Y2, 40, 253, 20003);
    Inc(Y1, 400);
    for I := 1 to 3 do HLine(Y1+I*750, X, 19650, 40);
    Y2 := Y1 + 750;
    VLine(X+ 4550, Y1, Y2, 40);
    VLine(X+ 8900, Y1, Y2, 40);
    VLine(X+12500, Y1, Y2, 40);
    VLine(X+15750, Y1, Y2, 40);

    Y2 := Y1 + 100;
    SpoolText(  730, Y2, 227, 0, 1, LoadStr(30000), '', [fsBold], tajLeftJustify);
    if PrintSomeData then
      SpoolText( 2500, Y2+270, 373, 0, 1, '1234567890', 'TNR', [fsHeavy], tajLeftJustify);
    SpoolText( 5300, Y2, 227, 0, 1, LoadStr(30001), '', [fsBold], tajLeftJustify);
    if PrintSomeData then
      SpoolText( 7000, Y2+270, 373, 0, 1, '1234567890', 'TNR', [fsHeavy], tajLeftJustify);
    SpoolText( 9650, Y2, 227, 0, 1, LoadStr(30002), '', [fsBold], tajLeftJustify);
    SpoolText(13250, Y2, 227, 0, 1, LoadStr(30003), '', [fsBold], tajLeftJustify);
    SpoolText(16500, Y2, 227, 0, 1, LoadStr(30004), '', [fsBold], tajLeftJustify);
    SpoolText(  730, Y2+ 750, 227, 0, 1, LoadStr(30005), '', [fsBold], tajLeftJustify);
    if PrintSomeData then
      SpoolText( 2500, Y2+1020, 373, 0, 1, 'ABC SOFTWARE', 'TNR', [fsHeavy], tajLeftJustify);
    SpoolText(11070, Y2+ 750, 227, 0, 1, LoadStr(30006), '', [fsBold], tajLeftJustify);
    if PrintSomeData then
      PrintStringBuffAlign('ABC SOFTWARE ROAD, LONDON, ONTARIO A1A Z9Z', 'TNR', [fsHeavy], 360,
          19650, 13800, 0, Y2+720, -50, 0, 90, 0, 0, TRANSPARENT, False, tajLeftJustify);
    SpoolText(  730, Y2+1500, 227, 0, 1, LoadStr(30007), '', [fsBold], tajLeftJustify);
    if PrintSomeData then
      SpoolText( 2500, Y2+1770, 373, 0, 1, 'Surname', 'TNR', [fsHeavy], tajLeftJustify);
    SpoolText(11070, Y2+1500, 227, 0, 1, LoadStr(30008), '', [fsBold], tajLeftJustify);
    if PrintSomeData then
      SpoolText(13000, Y2+1770, 373, 0, 1, 'Firstname', 'TNR', [fsHeavy], tajLeftJustify);
    SpoolText(17300, Y2+1500, 227, 0, 1, LoadStr(30009), '', [fsBold], tajLeftJustify);
    SpoolText(  730, Y2+2250, 227, 0, 1, LoadStr(30010), '', [fsBold], tajLeftJustify);
    if PrintSomeData then
      SpoolText( 2500, Y2+2700, 373, 0, 1, 'Employee''s Street', 'TNR', [fsHeavy], tajLeftJustify);
    SpoolText(X+12150, Y2+2250, 227, X+15750, 1, LoadStr(30011), '', [fsBold], tajCenter);
    SpoolText(X+15750, Y2+2250, 227, 19650, 1, LoadStr(30012), '', [fsBold], tajCenter);

    Y3 := Y2 + 1800;
    PrintCheckBox(17500, Y3, 280, 25, PrintSomeData {and (grpGender.ItemIndex = 0)});
    SpoolText(18050, Y3+60, 293, 0, 1, 'M', '', [], tajLeftJustify);
    PrintCheckBox(18700, Y3, 280, 25, PrintSomeData {and (grpGender.ItemIndex = 1)});
    SpoolText(19250, Y3+60, 293, 0, 1, 'F', '', [], tajLeftJustify);

    SpoolText(X+12150, Y2+2450, 227, X+13350, 1, 'Day', '', [fsBold], tajCenter);
    SpoolText(X+13350, Y2+2450, 227, X+14550, 1, 'Month', '', [fsBold], tajCenter);
    SpoolText(X+14550, Y2+2450, 227, X+15750, 1, 'Year', '', [fsBold], tajCenter);
    SpoolText(X+12150, Y2+2250, 227, X+15750, 1, LoadStr(30011), '', [fsBold], tajCenter);

    SpoolText(X+15750, Y2+2450, 227, X+16950, 1, 'Day', '', [fsBold], tajCenter);
    SpoolText(X+16950, Y2+2450, 227, X+18150, 1, 'Month', '', [fsBold], tajCenter);
    SpoolText(X+18150, Y2+2450, 227, 19650, 1, 'Year', '', [fsBold], tajCenter);

    if PrintSomeData then
    begin
      SpoolText(X+12150, Y2+2700, 373, X+13350, 1, '01', 'TNR', [fsHeavy], tajCenter);
      SpoolText(X+13350, Y2+2700, 373, X+14550, 1, '01', 'TNR', [fsHeavy], tajCenter);
      SpoolText(X+14550, Y2+2700, 373, X+15750, 1, '99', 'TNR', [fsHeavy], tajCenter);
      SpoolText(X+15750, Y2+2700, 373, X+16950, 1, '01', 'TNR', [fsHeavy], tajCenter);
      SpoolText(X+16950, Y2+2700, 373, X+18150, 1, '01', 'TNR', [fsHeavy], tajCenter);
      SpoolText(X+18150, Y2+2700, 373,   19650, 1, '99', 'TNR', [fsHeavy], tajCenter);
    end;

    Y2 := Y1 + 2250;
    VLine(X+10300, Y1+ 750, Y2, 40);
    VLine(X+16550, Y1+1500, Y2, 40);

    Y2 := Y1 + 3220;
    VLine(X+12150, Y1+2250, Y2, 40);
    VLine(X+15750, Y1+2250, Y2, 40);
    VLine(X+13350, Y1+2750, Y2, 40);
    VLine(X+14550, Y1+2750, Y2, 40);
    VLine(X+16950, Y1+2750, Y2, 40);
    VLine(X+18150, Y1+2750, Y2, 40);

    Inc(Y1, 3220);
    DrawStuff1(X, Y1, 19650, Y1+500, 40, 253, 20004);
    Inc(Y1, 500);
    HLine(Y1+850, X, 19650, 40);
    for I := 1 to 7 do HLine(Y1+850+I*630, X, 19650, 40);
    Y2 := Y1+850+7*630;
    VLine(X+ 4350, Y1, Y2, 40);
    VLine(X+ 6550, Y1, Y2, 40);
    VLine(X+ 7200, Y1+520, Y2, 40);
    VLine(X+ 7850, Y1+520, Y2, 40);
    VLine(X+ 8500, Y1, Y2, 40);
    VLine(X+13100, Y1, Y2, 40);
    VLine(X+13750, Y1+520, Y2, 40);
    VLine(X+14400, Y1+520, Y2, 40);
    VLine(X+15050, Y1+520, Y2, 40);
    VLine(X+15700, Y1+520, Y2, 40);
    VLine(X+16350, Y1+520, Y2, 40);
    VLine(X+17000, Y1, Y2, 40);

    SpoolText(X,      Y1+340, 227, X+ 4350, 1, LoadStr(30013), '', [fsBold], tajCenter);
    SpoolText(X+4350, Y1+340, 227, X+ 6550, 1, LoadStr(30014), '', [fsBold], tajCenter);
    SpoolText(X+6550, Y1+100, 227, X+ 8500, 1, LoadStr(30015), '', [fsBold], tajCenter);
    SpoolText(X+6550, Y1+300, 227, X+ 8500, 1, LoadStr(30016), '', [fsBold], tajCenter);
    SpoolText(X+6550, Y1+550, 227, X+7200, 1, 'Day', '', [fsBold], tajCenter);
    SpoolText(X+7200, Y1+550, 227, X+7850, 1, 'Mo', '', [fsBold], tajCenter);
    SpoolText(X+7850, Y1+550, 227, X+8500, 1, 'Yr.', '', [fsBold], tajCenter);
    SpoolText(X+8500, Y1+200, 227, X+13100, 1, LoadStr(30017), '', [fsBold], tajCenter);
    SpoolText(X+8500, Y1+500, 227, X+13100, 1, LoadStr(30018), '', [fsBold], tajCenter);
    SpoolText(X+13100, Y1+100, 227, X+17000, 1, LoadStr(30019), '', [fsBold], tajCenter);
    SpoolText(X+13100, Y1+300, 227, X+15050, 1, 'FROM', '', [fsBold], tajCenter);
    SpoolText(X+15050, Y1+300, 227, X+17000, 1, 'TO', '', [fsBold], tajCenter);
    SpoolText(X+13100, Y1+550, 227, X+13750, 1, 'Day', '', [fsBold], tajCenter);
    SpoolText(X+13750, Y1+550, 227, X+14400, 1, 'Mo', '', [fsBold], tajCenter);
    SpoolText(X+14400, Y1+550, 227, X+15050, 1, 'Yr.', '', [fsBold], tajCenter);
    SpoolText(X+15050, Y1+550, 227, X+15700, 1, 'Day', '', [fsBold], tajCenter);
    SpoolText(X+15700, Y1+550, 227, X+16350, 1, 'Mo', '', [fsBold], tajCenter);
    SpoolText(X+16350, Y1+550, 227, X+17000, 1, 'Yr.', '', [fsBold], tajCenter);
    SpoolText(X+17000, Y1+200, 227, 19650, 1, 'TOTAL AMOUNT', '', [fsBold], tajCenter);
    SpoolText(X+17000, Y1+450, 227, 19650, 1, 'CHARGED', '', [fsBold], tajCenter);

    {!--------------------------}
    if PrintSomeData then
      for I := 1 to 2 do
      begin
        Y3 := Y1 + 480 + 630 * I;
        SpoolText(X,       Y3, 373, X+ 4350, 1, 'JANE-DOE', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+ 4350, Y3, 373, X+ 6550, 1, 'SPOUSE', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+ 6550, Y3, 373, X+ 7200, 1, '01', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+ 7200, Y3, 373, X+ 7850, 1, '02', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+ 7850, Y3, 373, X+ 8500, 1, '99', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+ 8500, Y3, 373, X+13100, 1, 'Expenses', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+13100, Y3, 373, X+13750, 1, '06', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+13750, Y3, 373, X+14400, 1, '07', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+14400, Y3, 373, X+15050, 1, '99', 'TNR', [fsHeavy], tajCenter);
        SpoolText(X+17000, Y3, 373,   19150, 1, '100.50', 'TNR', [fsHeavy], tajRightJustify);
      end;
    {!--------------------------}

    Y1 := Y2 + 200;
    HLine(Y1, 14850, 19650, 40);
    VLine(14850, Y1, Y1+520, 40);
    HLine(Y1+520, 14850, 19650, 40);
    SpoolText(14950, Y1+160, 293, 0, 1, 'TOTAL', '', [fsBold], tajLeftJustify);
    HLine(Y1+270, 16350, 16850, 30);
    PrintBMPs(16800, Y1+215, 16890, Y1+325, 'B4', OPAQUE);
    if PrintSomeData then
      SpoolText(X+17000, Y1+100, 373, 19150, 1, '201.00', 'TNR', [fsHeavy], tajRightJustify);

    HLine(Y1, 670, 7800, 40);
    VLine(7800, Y1, Y1+1100, 40);
    VLine(7800, Y1+1100, Y1+5520, 20);
    SpoolText(700, Y1+100, 227, 0, 1, 'IS THIS CLAIM ON YOURSELF OR YOUR DEPENDENT(S)', '', [], tajLeftJustify);
    SpoolText(SpoolText(SpoolText(700,
      Y1+380, 227, 0, 1, 'FOR A', '', [], tajLeftJustify)+100,
      Y1+380, 227, 0, 1, 'WORK RELATED', '', [fsBold], tajLeftJustify)+100,
      Y1+380, 227, 0, 1, 'ACCIDENT OR SICKNESS?', '', [], tajLeftJustify);

    Y3 := Y1 + 680;
    PrintCheckBox(5600, Y3, 280, 25, False);
    SpoolText(5950, Y3+100, 227, 0, 1, 'YES', '', [], tajLeftJustify);
    PrintCheckBox(6650, Y3, 280, 25, PrintSomeData);
    SpoolText(7000, Y3+100, 227, 0, 1, 'NO', '', [], tajLeftJustify);

    SpoolText(700, Y1+1200, 227, 0, 1, 'IF THIS CLAIM IS FOR A DEPENDENT,', '', [], tajLeftJustify);
    SpoolText(700, Y1+1500, 227, 0, 1, 'IS THE DEPENDENT EMPLOYED?', '', [], tajLeftJustify);
    Y3 := Y1 + 1300;
    PrintCheckBox(5600, Y3, 280, 25, False);
    SpoolText(5950, Y3+100, 227, 0, 1, 'YES', '', [], tajLeftJustify);
    PrintCheckBox(6650, Y3, 280, 25, PrintSomeData);
    SpoolText(7000, Y3+100, 227, 0, 1, 'NO', '', [], tajLeftJustify);

    Y3 := Y1 + 1850;
    PrintCheckBox(3750, Y3, 280, 25, PrintSomeData);
    SpoolText(4200, Y3+100, 227, 0, 1, 'FULL-TIME', '', [], tajLeftJustify);
    PrintCheckBox(5800, Y3, 280, 25, False);
    SpoolText(6250, Y3+100, 227, 0, 1, 'PART-TIME', '', [], tajLeftJustify);

    SpoolText(700, Y1+2570, 227, 0, 1, 'DOES THE CLAIMANT HAVE ANY', '', [], tajLeftJustify);
    SpoolText(700, Y1+2870, 227, 0, 1, 'OTHER GROUP HEALTH COVERAGE?', '', [], tajLeftJustify);
    Y3 := Y1 + 2670;
    PrintCheckBox(5600, Y3, 280, 25, False);
    SpoolText(5950, Y3+100, 227, 0, 1, 'YES', '', [], tajLeftJustify);
    PrintCheckBox(6650, Y3, 280, 25, PrintSomeData);
    SpoolText(7000, Y3+100, 227, 0, 1, 'NO', '', [], tajLeftJustify);

    SpoolText(700, Y1+3630, 227, 0, 1, 'DOES THE CLAIMANT HAVE ANY', '', [], tajLeftJustify);
    SpoolText(700, Y1+3930, 227, 0, 1, 'OTHER GROUP DENTAL COVERAGE?', '', [], tajLeftJustify);
    Y3 := Y1 + 3730;
    PrintCheckBox(5600, Y3, 280, 25, False);
    SpoolText(5950, Y3+100, 227, 0, 1, 'YES', '', [], tajLeftJustify);
    PrintCheckBox(6650, Y3, 280, 25, PrintSomeData);
    SpoolText(7000, Y3+100, 227, 0, 1, 'NO', '', [], tajLeftJustify);

    SpoolText(700, Y1+4480, 227, 0, 1, 'IF THIS CLAIM IS FOR A DEPENDENT CHILD OVER 19', '', [], tajLeftJustify);
    SpoolText(700, Y1+4780, 227, 0, 1, 'YEARS OF AGE, DOES THE CHILD ATTEND SCHOOL?', '', [], tajLeftJustify);
    Y3 := Y1 + 5130;
    PrintCheckBox(1400, Y3, 280, 25, False);
    SpoolText(1750, Y3+100, 227, 0, 1, 'YES', '', [], tajLeftJustify);
    PrintCheckBox(2400, Y3, 280, 25, PrintSomeData);
    SpoolText(2800, Y3+100, 227, 0, 1, 'NO', '', [], tajLeftJustify);
    PrintCheckBox(3750, Y3, 280, 25, False);
    SpoolText(4200, Y3+100, 227, 0, 1, 'FULL-TIME', '', [], tajLeftJustify);
    PrintCheckBox(5800, Y3, 280, 25, False);
    SpoolText(6250, Y3+100, 227, 0, 1, 'PART-TIME', '', [], tajLeftJustify);

    SpoolText(7900, Y1+1200, 227, 0, 1, LoadStr(30021), '', [], tajLeftJustify);
    SpoolText(7900, Y1+2370, 227, 0, 1, LoadStr(30022), '', [], tajLeftJustify);
    SpoolText(7900, Y1+3430, 227, 0, 1, LoadStr(30022), '', [], tajLeftJustify);
    SpoolText(7900, Y1+4480, 227, 0, 1, LoadStr(30023), '', [], tajLeftJustify);

    HLine(Y1+1100, 670, 19650, 40);
    HLine(Y1+2270, 670, 19650, 40);
    HLine(Y1+3330, 670, 19650, 40);
    HLine(Y1+4380, 670, 19650, 40);
    HLine(Y1+5520, 670, 19650, 40);
    SpoolPCharResInRect(700, Y1+5600, 293, 19650, 1, 'BUFF1', '', [], tajLeftJustify);

    HLine(Y1+8200, 670, 4100, 20);
    HLine(Y1+8200, 4500, 12500, 20);
    HLine(Y1+8200, 12900, 19650, 20);
    SpoolText(  670, Y1+8250, 267, 4100, 1, 'Date', '', [], tajCenter);
    if PrintSomeData then
      SpoolText(  670, Y1+7870, 373, 4100, 1, '01-01-99', 'TNR', [fsHeavy], tajCenter);
    SpoolText( 4500, Y1+8250, 267, 12500, 1, 'Signature of Employee', '', [], tajCenter);
    SpoolText(12900, Y1+8250, 267, 19650, 1, 'Telephone Number', '', [], tajCenter);
    if PrintSomeData then
      SpoolText(12900, Y1+7870, 373, 19650, 1, '(123) 456-7890', 'TNR', [fsHeavy], tajCenter);

    Inc(Y1, 9120);
    SpoolText(700, Y1-450, 293, 0, 1, LoadStr(20150), '', [fsHeavy], tajLeftJustify);
    DrawStuff1(X, Y1, 19650, Y1+400, 40, 253, 20005);

    SpoolText(700, Y1+ 950, 227, 0, 1, LoadStr(30024), '', [], tajLeftJustify);
    SpoolText(700, Y1+1450, 227, 0, 1, LoadStr(30025), '', [], tajLeftJustify);
    SpoolText(700, Y1+1950, 267, 0, 1, LoadStr(30026), '', [fsBold], tajLeftJustify);

    Y3 := Y1 + 850;
    PrintCheckBox(5700, Y3, 280, 25, False);
    SpoolText(6150, Y1+ 950, 227, 0, 1, 'YES', '', [], tajLeftJustify);
    PrintCheckBox(6850, Y1+ 850, 280, 25, False);
    SpoolText(7300, Y1+ 950, 227, 0, 1, 'NO', '', [], tajLeftJustify);

    SpoolText( 9550, Y1+500, 227, 13600, 1, 'EFFECTIVE DATE', '', [], tajCenter);
    SpoolText(14500, Y1+500, 227, 19650, 1, 'IF CANCELLED, GIVE DATE', '', [], tajCenter);

    HLine(Y1+1130, 9550, 13600, 20);
    HLine(Y1+1130,14500, 19650, 20);

    PrintCheckBox(5700, Y1+1350, 280, 25, False);
    SpoolText(6150, Y1+1450, 227, 0, 1, 'YES', '', [], tajLeftJustify);
    PrintCheckBox(6850, Y1+1350, 280, 25, False);
    SpoolText(7300, Y1+1450, 227, 0, 1, 'NO', '', [], tajLeftJustify);

    HLine(Y1+1630, 9550, 13600, 20);
    HLine(Y1+1630,14500, 19650, 20);

    Inc(Y1, 2700);
    HLine(Y1, 670, 8600, 20);
    HLine(Y1, 9800, 19650, 20);
    SpoolText( 670, Y1+50, 285,  8700, 1, 'Date', '', [], tajCenter);
    SpoolText(9800, Y1+50, 285, 19650, 1, LoadStr(30027), '', [], tajCenter);

    Inc(Y1, 600);
    SpoolPCharInRect(670, Y1+600, 320, 5750, 2, ldPChar(30020), '', [], tajCenter);
    PrintRect(5750, Y1, 15200, Y1+1940, 40);
    SpoolText(5750, Y1+ 200, 347, 15200, 1, 'TORONTO GROUP OFFICE', '', [fsBold], tajCenter);
    SpoolText(5750, Y1+ 610, 347, 15200, 1, 'CROWN LIFE INSURANCE COMPANY', '', [fsBold], tajCenter);
    SpoolText(5750, Y1+1020, 347, 15200, 1, '175 BLOOR STREET EAST, SUITE 608, NORTH TOWER', '', [fsBold], tajCenter);
    SpoolText(5750, Y1+1430, 347, 15200, 1, 'TORONTO ON M4W 3R8', '', [fsBold], tajCenter);

    Inc(Y1, 2100);
    SpoolText(670, Y1, 213, 0, 1, 'Form C4801A-1', '', [], tajLeftJustify);
    SpoolText(0, Y1, 213, 19600, 1, '8-97 Printed in Canada', '', [], tajRightJustify);

    if Rotate then
      if Status in [tpPrint, tpPreview] then
        ModifyWorldTransform ( DC, xForm, MWT_IDENTITY );
  end;
end;

end.

