unit Main;

interface

uses
  Windows, WinSpool, Messages,
  SysUtils, Classes, Controls, Forms, StdCtrls, ExtCtrls, Dialogs,
  EZ_Radio, PrintPro, EZ_Print;

type

  { TfrmDemo }
  TfrmDemo = class(TForm)
    btnPrint: TButton;
    btnRegister: TButton;
    EZ_Print1: TEZ_Printer;
    Button1: TButton;
    radPrintDialog: TEZ_RadioGroup;
    EZ_PrintDialog1: TEZ_PrintDialog;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    chkMeta: TCheckBox;
    selDemo: TEZ_RadioGroup;
    procedure btnPrintClick(Sender: TObject);
    function EZ_Print1GetSettings(Sender: TObject): Boolean;
    procedure EZ_Print1PrintPage(Sender: TObject; CurPage: Integer);
    procedure btnRegisterClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure EZ_Print1ChangePrinter(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure chkMetaClick(Sender: TObject);
    {legal demo stuff}
    procedure EZ_Print1CreateProcs(Sender: TObject);
    procedure EZ_Print1ProcsReady(Sender: TObject);
    function  PrintFooter(Sender: TObject; CurPage: Integer): Integer;
    function  PrintHeader(Sender: TObject; CurPage: Integer): Integer;
    procedure EZ_Print1BeginPage(Sender: TObject; CurPage: Integer);
    procedure EZ_Print1EndPage(Sender: TObject; CurPage: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDemo: TfrmDemo;

implementation

{$R *.DFM}
{$R DEMO.R32}

uses
  OrdInfo,
  DlgPrint,
  DemoLet,
  CustomPP,
  DemoLeg;

{ TfrmDemo }
procedure TfrmDemo.btnPrintClick(Sender: TObject);
begin
  EZ_Print1.Execute;
  if selDemo.ItemIndex = 0 then
  begin
    EZ_Print1.ToPage   := MaxPageLetter;
    EZ_Print1.FromPage := MinPageLetter;
  end
  else
  begin
    EZ_Print1.ToPage   := MaxPageLegal;
    EZ_Print1.FromPage := MinPageLegal;
  end
end;

procedure TfrmDemo.EZ_Print1PrintPage(Sender: TObject; CurPage: Integer);
begin
  if selDemo.ItemIndex = 0 then
    case CurPage of
      1: PageOneDemo(TEZ_Printer(Sender));
      2: PageTwoDemo(TEZ_Printer(Sender));
      3: if EZ_Print1.Status = tpPreview then
           PageThreeDemo(TEZ_Printer(Sender), CheckBox1.Checked, CheckBox2.Checked);
      4: DemoFontSize(TEZ_Printer(Sender));
      5: DemoColors(TEZ_Printer(Sender));
    end
  else
    case CurPage of
      1: PrintDeed(TEZ_Printer(Sender));
      2: PrintMortgage(TEZ_Printer(Sender));
      3: PrintDischarge(TEZ_Printer(Sender));
      4: PrintDocGen(TEZ_Printer(Sender));
      5: PrintSchedule(TEZ_Printer(Sender));
    end;
end;

function TfrmDemo.EZ_Print1GetSettings(Sender: TObject): Boolean;
begin
  case radPrintDialog.ItemIndex of
    0: Result := TDlgPrinterSettings.Create(Self, EZ_Print1).ShowModal = mrOk;
    1: begin
         if selDemo.ItemIndex = 0 then
         begin
           EZ_PrintDialog1.MinPage  := MinPageLetter;
           EZ_PrintDialog1.FromPage := MinPageLetter;
           EZ_PrintDialog1.MaxPage  := MaxPageLetter;
           EZ_PrintDialog1.ToPage   := MaxPageLetter;
         end
         else
         begin
           EZ_PrintDialog1.MinPage  := MinPageLegal;
           EZ_PrintDialog1.FromPage := MinPageLegal;
           EZ_PrintDialog1.MaxPage  := MaxPageLegal;
           EZ_PrintDialog1.ToPage   := MaxPageLegal;
         end;
         Result := EZ_PrintDialog1.Execute;
       end;
  end;
end;

procedure TfrmDemo.btnRegisterClick(Sender: TObject);
begin
  Show_formOrdInfo(Self);
end;

procedure TfrmDemo.Button1Click(Sender: TObject);
begin
  EZ_Print1.ExecutePreview(False);
end;

procedure TfrmDemo.EZ_Print1ChangePrinter(Sender: TObject);
begin
  with EZ_Print1 do
    if selDemo.ItemIndex = 0 then begin
      PaperSize := DMPAPER_LETTER;
      Orientation  := poLandscape;
    end
    else begin
      PaperSize := DMPAPER_LEGAL;
      Orientation  := poPortrait;
    end;
  GroupBox1.Enabled := selDemo.ItemIndex = 0;
end;

procedure TfrmDemo.FormShow(Sender: TObject);
begin
  if selDemo.ItemIndex = 0 then
    EZ_Print1.ToPage := MaxPageLetter
  else
    EZ_Print1.ToPage := MaxPageLegal;
  EZ_Print1ChangePrinter(EZ_Print1);
  chkMetaClick(chkMeta);
  ChDir(ExtractFilePath(Application.ExeName));
end;

procedure TfrmDemo.chkMetaClick(Sender: TObject);
begin
  EZ_Print1.UseMetaFiles := chkMeta.Checked;
end;

procedure TfrmDemo.EZ_Print1CreateProcs(Sender: TObject);
begin
  if selDemo.ItemIndex = 0 then
    CurPrinterProcs := TPrinterProcs
  else
    CurPrinterProcs := TCustomProcs;
end;

procedure TfrmDemo.EZ_Print1ProcsReady(Sender: TObject);
begin
  if selDemo.ItemIndex = 1 then
    with TCustomProcs(EZ_Print1.Procs) do
    begin
      MapMode  := tMM_HIMETRIC;
      OnFooter := PrintFooter;
      OnHeader := PrintHeader;
    end;
end;

function TfrmDemo.PrintHeader(Sender: TObject; CurPage: Integer): Integer;
begin
  TCustomProcs(EZ_Print1.Procs).PrintCOARM;
end;

function TfrmDemo.PrintFooter(Sender: TObject; CurPage: Integer): Integer;
begin
  TCustomProcs(EZ_Print1.Procs).PrintEndorsement(7650, 34000, GetEndorsement(True));
end;

procedure TfrmDemo.EZ_Print1BeginPage(Sender: TObject; CurPage: Integer);
begin
  if selDemo.ItemIndex = 1 then
    TCustomProcs(EZ_Print1.Procs).DoHeader(CurPage);
end;

procedure TfrmDemo.EZ_Print1EndPage(Sender: TObject; CurPage: Integer);
begin
  if selDemo.ItemIndex = 1 then
    TCustomProcs(EZ_Print1.Procs).DoFooter(CurPage);
end;

end.

