unit Unit1;

interface

uses
  Forms, Controls, StdCtrls, Classes,
  PCharLIB, PrintPro, EZ_Print, ExtCtrls;

type
  TForm1 = class(TForm)
    Button2: TButton;
    EZPrinter: TEZ_Printer;
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    Button1: TButton;
    CheckBox2: TCheckBox;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure PrintPage(Sender: TObject; CurPage: Integer);
    function  EZPrinterGetSettings(Sender: TObject): Boolean;
    procedure CheckBox2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  DlgPrint;

procedure TForm1.Button2Click(Sender: TObject);
begin
  EZPrinter.Execute;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  EZPrinter.ExecutePreview(False);
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  EZPrinter.UseMetafiles := CheckBox2.Checked;
end;

function TForm1.EZPrinterGetSettings(Sender: TObject): Boolean;
begin
  Result := TDlgPrinterSettings.Create(Self, EZPrinter).ShowModal = mrOk;
end;

procedure TForm1.PrintPage(Sender: TObject; CurPage: Integer);
var
  Alignment: TJeeAlignment;
begin
  with EZPrinter, Procs do
  begin
    MapMode := tMM_HIMETRIC; {1 logic unit converted to 0.01 mm}

    if not CheckBox1.Checked then
    begin
    
      {the line below means:
         print 'Hello' at X=0[mm] and Y=200*0.1[mm]
         using font Arial, Bold, size 50*0.1[mm]
         and center the output on width of page
      }
      SpoolText(0, 2000, 500, 0, 0, 'Hello', 'Arial', [fsBold], tajCenter);

      {the line below means:
         print 'Hello' at X=0[mm] and Y=400*0.1[mm]
         using font TimesNewRoman, Bold, size 50*0.1[mm]
         center the output on width of page
         and insert 10 pixels between characters
      }
      SpoolText(0, 4000, 500, 0, 10, 'Hello', 'TNR', [fsBold], tajCenter);

      {the line below means:
         print a rectangle between (0, 0) X (2000*0.1, 600*0.1)
         using a 40*0.01[mm] line width
      }
      PrintRect(0, 0, 20000, 6000, 40);
      {you will notice the left line and top line being thinner. This is
      because EZ_print works to center even the Line width on target coordinate.
      Actually, I don't recommend printing lines at the extreme coordinates. }

      {I'm pretty sure you know what the line below means}
      PrintRect(5000, 1000, 15000, 5000, 60);

    end
    else
    begin
      PrintLine ( 1000,    0, 1000, 5000, 5 );
      PrintLine ( 4700,    0, 4700, 5000, 5 );
      PrintLine ( 1000,  785, 4700,  785, 5 );
      PrintLine ( 1000, 1285, 4700, 1285, 5 );
      PrintLine ( 1000, 1785, 4700, 1785, 5 );
      PrintLine ( 1000, 2285, 4700, 2285, 5 );
      PrintLine ( 1000, 2785, 4700, 2785, 5 );

      Alignment := TJeeAlignment(RadioGroup1.ItemIndex);
      SpoolText ( 1000,  500, 370, 4700, 0, 'Couple of lines',    'Arial', [], Alignment );
      SpoolText ( 1000, 1000, 370, 4700, 0, 'testing alignments.','Arial', [], Alignment );
      SpoolText ( 1000, 1500, 370, 4700, 0, 'EZ_PRINT is the',    'Arial', [], Alignment );
      SpoolText ( 1000, 2000, 370, 4700, 0, 'perfect tool',       'Arial', [], Alignment );
      SpoolText ( 1000, 2500, 370, 4700, 0, 'for nice printing!', 'Arial', [], Alignment );
    end;

  end;
end;

end.

