{*******************************************************}
{                                                       }
{       Compatibility unit                              }
{       ------------------                              }
{       Copyright (C) 1996, Lucian Radulescu            }
{       E-mail:    ljee@interlog.com                    }
{       Home Page: http://www.interlog.com/~ljee        }
{                                                       }
{*******************************************************}

unit Oldies;

interface

{$IFNDEF WIN32}
  This unit is intended to help when transfering programs to 32 bits.
{$ENDIF}

uses
  Windows;

{ The GetTextExtent function is not implemented in the Win32 API.
  Win32-based applications should use the GetTextExtentPoint32 function.

  BOOL GetTextExtentPoint32(
    HDC      hdc,	// handle of device context
    LPCTSTR  lpString,	// address of text string
    int      cbString,	// number of characters in string
    LPSIZE   lpSize 	// address of structure for string size
}
function GetTextExtent(DC: HDC; Str: PChar; Count: Integer): LongInt;

{ The MoveTo function is not implemented in the Win32 API.
  Win32-based applications should use the MoveToEx function.

  BOOL MoveToEx(
    HDC  hdc,	      // handle of device context
    int  X,	      // x-coordinate of new current position
    int  Y,   	      // y-coordinate of new current position
    LPPOINT  lpPoint  // address of old current position
   );
}
function MoveTo(DC: HDC; X, Y: Integer): LongInt;

implementation

uses
  CheckGDI;
  
function GetTextExtent(DC: HDC; Str: PChar; Count: Integer): LongInt;
var
  Size: TSize;
begin
  GDICheck(Integer(GetTextExtentPoint32(DC, Str, Count, Size)));
  Result := Size.CX;
end;

function MoveTo(DC: HDC; X, Y: Integer): LongInt;
var
  OldPos: TPoint;
begin
  GDICheck(Integer(MoveToEx(DC, X, Y, @OldPos)));
  Result := MakeLong(X, Y);
end;

end. { END UNIT }
