unit WaitGge;

interface

uses
  Windows,
  Messages, Classes, Controls, Forms, ExtCtrls, StdCtrls, Gauges;

type

  { TfrmWait }
  TfrmWaitGge = class(TForm)
    pnl1: TPanel;
    Label2: TLabel;
    Gauge1: TGauge;
    procedure FormCreate(Sender: TObject);
  private
    procedure WMClose(var Msg: TMessage); message wm_Close;
  public
    Locks: Integer;
    procedure SetWindow(ACaption, AInfo: String; MaxValue: Longint);
    procedure UpdatePos(Position: Longint);
    procedure UpdateLabel(NewInfo: String);
    procedure UpdateInfo(NewInfo: String; MaxValue: Longint);
  end;

procedure CreateWaitDialogGge(AOwner: TComponent; Info: String;
  ALeft, ATop: Integer; MaxValue: Longint);
procedure DestroyWaitDialogGge;
procedure UpdateWaitDialogGge(Position: Longint);

const
  frmWaitGge: TfrmWaitGge = nil;

implementation

{$R *.DFM}

uses
  EQ_Abort;

procedure CreateWaitDialogGge(AOwner: TComponent; Info: String;
  ALeft, ATop: Integer; MaxValue: Longint);
begin
  if Assigned(frmWaitGge) then
    frmWaitGge.UpdateInfo(Info, MaxValue)
  else
  begin
    if not Assigned(AOwner) then
      AOwner := Application.MainForm;
    nopActiveWindow := TWinControl(AOwner).Handle;
    TWinControl(AOwner).Enabled := False;
    frmWaitGge := TfrmWaitGge.Create(AOwner);
    if (ALeft <> 0) or (ATop <> 0) then
    begin
      frmWaitGge.Position := poDesigned;
      frmWaitGge.Left := ALeft;
      frmWaitGge.Top  := ATop;
    end;
    frmWaitGge.Show;
    frmWaitGge.SetWindow('Please wait...', Info, MaxValue);
    frmWaitGge.Invalidate;
  end;
end;

procedure UpdateWaitDialogGge(Position: Longint);
var
  AppMsg: TMsg;
begin
  if Assigned(frmWaitGge) then
    frmWaitGge.UpdatePos(Position)
  else Exit;
  if PeekMessage(AppMsg, 0, 0, 0, pm_Remove) then
  begin
    TranslateMessage(AppMsg);
    DispatchMessage(AppMsg);
  end;
end;

procedure DestroyWaitDialogGge;
begin
  if Assigned(frmWaitGge) then
  begin
    Dec(frmWaitGge.Locks);
    if frmWaitGge.Locks > 0 then Exit;
    TWinControl(frmWaitGge.Owner).Enabled := True;
    SetActiveWindow(nopActiveWindow);
    frmWaitGge.Free;
    frmWaitGge := nil;
  end;
end;

{TfrmWait}
procedure TfrmWaitGge.WMClose(var Msg: TMessage);
begin
  Msg.Result := 0;
end;

procedure TfrmWaitGge.FormCreate(Sender: TObject);
begin
  EnableMenuItem(GetSystemMenu(Handle, False), sc_Close, mf_Grayed);
  Locks := 0;
end;

procedure TfrmWaitGge.SetWindow(ACaption, AInfo: String; MaxValue: Longint);
begin
  Caption := ACaption;
  UpdateInfo(AInfo, MaxValue);
end;

procedure TfrmWaitGge.UpdatePos(Position: Longint);
begin
  Gauge1.Progress := Position;
  Gauge1.Refresh;
end;

procedure TfrmWaitGge.UpdateLabel(NewInfo: String);
begin
  Label2.Caption := NewInfo;
  Label2.Refresh;
end;

procedure TfrmWaitGge.UpdateInfo(NewInfo: String; MaxValue: Longint);
begin
  Inc(Locks);
  UpdateLabel(NewInfo);
  Gauge1.MaxValue := MaxValue;
  UpdatePos(0);
end;

end.

